%define name ucsc-smartsuite
%define rversion 2.0Beta2
%define version 2.0
%define release 4mdk

Summary: 	UCSC SMART Suite 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{rversion}.tar.bz2
Patch:		ucsc-smartsuite-makefile.patch.bz2
License: 	GPL
URL:		http://csl.cse.ucsc.edu/smart.shtml
Group: 		Monitoring
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot


%description
Self-Monitoring Analysis and Reporting Technology System (S.M.A.R.T.) was
developed to monitor and attempt to detect hard drive failures. It uses added
intelligence in the hard drive firmware to sense minor changes in the drive 
which usually lead to failures. One white paper claims that SMART can detect 
70% of drive predictable drive failures. This projects goal is to allow Linux 
users the ability to monitor their S.M.A.R.T. capable hard drives thus, 
indirectly improving user reliability. UCSC SMART Suite contains a command 
utility and daemon to access S.M.A.R.T. data on ATA and SCSI hard disk drives. 


%prep 
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{rversion}

%patch -p1

%build
%__make all

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sbindir}}

perl -pi -e "s!/usr/local/man!$RPM_BUILD_ROOT%{_mandir}!g" Makefile
perl -pi -e "s!/usr/local/sbin!$RPM_BUILD_ROOT%{_sbindir}!g" Makefile

%__make install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README TODO
%{_sbindir}/smartctl
%{_sbindir}/smartd
%{_mandir}/man8/smartctl.8*
%{_mandir}/man8/smartd.8*


%changelog
* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-4mdk
- url
- rebuild

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- rebuild

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-2mdk
- used srpm from Christian Zoffoli <czoffoli@linux-mandrake.com>
- patch makefile to ensure user build

* Thu Aug 24 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0-0.1mdk
- new package

